summaryrefslogtreecommitdiff
path: root/dev-ruby/ruby-gio2/ruby-gio2-4.2.4.ebuild
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-ruby/ruby-gio2/ruby-gio2-4.2.4.ebuild
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-ruby/ruby-gio2/ruby-gio2-4.2.4.ebuild')
-rw-r--r--dev-ruby/ruby-gio2/ruby-gio2-4.2.4.ebuild28
1 files changed, 28 insertions, 0 deletions
diff --git a/dev-ruby/ruby-gio2/ruby-gio2-4.2.4.ebuild b/dev-ruby/ruby-gio2/ruby-gio2-4.2.4.ebuild
new file mode 100644
index 000000000000..bfffcfa54be9
--- /dev/null
+++ b/dev-ruby/ruby-gio2/ruby-gio2-4.2.4.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+inherit ruby-ng-gnome2
+
+DESCRIPTION="Ruby binding of gio-2"
+KEYWORDS="amd64 ~ppc ~riscv ~x86"
+IUSE="test"
+
+DEPEND="dev-libs/glib
+ test? ( sys-apps/dbus )"
+RDEPEND="dev-libs/glib"
+ruby_add_rdepend "~dev-ruby/ruby-glib2-${PV}
+ ~dev-ruby/ruby-gobject-introspection-${PV}"
+
+all_ruby_prepare() {
+ ruby-ng-gnome2_all_ruby_prepare
+
+ # Avoid test requiring network access
+ rm -f test/test-resolver.rb || die
+}
+
+each_ruby_test() {
+ XDG_RUNTIME_DIR=${T} dbus-launch ${RUBY} test/run-test.rb || die
+}